package com.gic.haoban.manage.service.service;

import java.util.List;

import com.gic.haoban.manage.api.dto.ApplicationTemplateDTO;

public interface ApplicationTemplateService {

	ApplicationTemplateDTO selectByTemplateName(String templateName);

	String insertTemplate(ApplicationTemplateDTO template);

	void delTemplate(String templateId);

	ApplicationTemplateDTO selectByTemplateId(String applicationTemplateId);

	void editTemplate(ApplicationTemplateDTO old);

	List<ApplicationTemplateDTO> listByTemplateName(String applicationTemplateName);

	ApplicationTemplateDTO selectDefaultTemplate();

}
